DECLARE SUB SCOEF (Z1!, MM1!, M1!, M2!, RHO!, ATRHO!, VFERMI!, LFCTR!, PCOEF!())
DIM p(20)
PRINT "Conversion of E to E/A, eV/10^13 atoms/cm2 to MeVcm2/mg"
PRINT "Enter Table as two columns: E (MeV), stopping power (eV/10^13 atoms/cm2)"
INPUT "Enter name of input stopping file; A1 (integer), Z2:", infile$, A1, Z2
OPEN infile$ FOR INPUT AS #1
INPUT "Enter file name of converted table:", outfile$
OPEN outfile$ FOR OUTPUT AS #2

CALL SCOEF(Z2, d1, d2, A2, d4, d5, d6, d7, p())
convfact = A2 / .6022              '.6022 = Loschmidt*1E-9*1E-15
            'convfact converts from MeV/(mg/cm2) to eV/(1E15 atoms/cm2)
PRINT "Conversion Factor = "; convfact
SLEEP 1

DO UNTIL EOF(1)
    INPUT #1, E, s
    PRINT E / A1, s * 100 / convfact
    PRINT #2, E / A1, s * 100 / convfact
LOOP
END

